SpriteLibrary

# SpriteDatabase Constructor

The sprite database instantiation function. The filename can either be a file on the computer or it can be the string name of a resource (the filename without the extension. If your file is accessed by Properties.Resources.MySprites, the "filename" would be "MySprites")

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public SpriteDatabase(
    	ResourceManager theResourceManager,
    	string filename
    )

#### Parameters

theResourceManager
  Type: System.Resources
  ResourceManager
  The ResourceManager for your project. Usually Properties.Resources.ResourceManager
filename
  Type: System
  String
  Either a path and file (like: @"c:\users\me\Desktop\myfile.xml") or the name of a resource (like: "myfile")

See Also

#### Reference

SpriteDatabase Class
SpriteLibrary Namespace